## netexec 1.3.0

=== debian/changelog ===
netexec (1.3.0-0parrot1) lory-updates; urgency=medium

  * build(debian): add watch file to make gbp work
  * build(debian): update watch file
  * New upstream version 1.3.0
  

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 11 Dec 2024 12:50:00 +0100

netexec (1.2.0-0parrot4) lory-updates; urgency=medium

  * aardwolf needs cargo as well.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 18 Sep 2024 13:36:31 +0200

netexec (1.2.0-0parrot3) lory-updates; urgency=medium

  * Add rustc build-dep to properly build aardwolf library on arm64.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 18 Sep 2024 13:01:49 +0200

netexec (1.2.0-0parrot2) lory-updates; urgency=medium

  * create netexec alias.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 18 Sep 2024 12:33:34 +0200

netexec (1.2.0-0parrot1) lory-updates; urgency=medium

  * New upstream version 1.2.0

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 18 Sep 2024 12:25:01 +0200

netexec (1.1.1-0parrot3) parrot-updates; urgency=medium

  * Add verbose to build command
  * Enable better error logging for build
  * Create a patch to fix build error
  * New build rules to fix build error

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 21 May 2024 21:25:08 +0700

netexec (1.1.1-0parrot2) parrot-updates; urgency=medium

  * Add verbose to build command
  * Enable better error logging for build
  * Create a patch to fix build error
  * New build rules to fix build error

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 21 May 2024 21:24:46 +0700

netexec (1.1.1-0parrot1) stable; urgency=medium

  * Update to 10/05/2024 to add patches

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 10 May 2024 10:49:49 +0700

netexec (1.1.0-0parrot3) UNRELEASED; urgency=medium

  * Add missing build dependencies:
  	+ libffi-dev
  	+ libjpeg-dev

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 06 Feb 2024 17:43:49 +0100

netexec (1.1.0-0parrot2) lory-updates; urgency=medium

  * Add missing build dependencies.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 06 Feb 2024 17:09:39 +0100

netexec (1.1.0-0parrot1) lory; urgency=medium

  * Build package for lory.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 06 Feb 2024 16:59:58 +0100

netexec (1.1.0-1parrot2) stable; urgency=medium

  * Remove dh-sequence-python3
  * Change runtime python3-venv to python-virtualenv
  * Change pkg name from python-virtualenv to python3-virtualenv
  * Fix interpreter problem in venv
  * Correct executable name activate
  * Correct the executable source
  * Correct path of executing netexec
  * Use compile method instead of virtual environment

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 05 Feb 2024 15:43:51 +0700

netexec (1.1.0-1parrot1) unstable; urgency=medium

  * Initial release.

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 31 Jan 2024 19:51:22 +0700

## netexec 1.4.0

=== Makefile ===
.PHONY: tests

default: build

clean:
	rm -f -r build/
	rm -f -r bin/
	rm -f -r dist/
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +
	find . -name '__pycache__' -exec rm -rf {} +
	find . -name '.pytest_cache' -exec rm -rf {} +

tests:
	flake8 . --count --select=E9,F63,F7,F82 --show-source --statistics --exclude nxc/data/*

requirements:
	poetry export --without-hashes -f requirements.txt -o requirements.txt
	poetry export --without-hashes --dev -f requirements.txt -o requirements-dev.txt

=== debian/changelog ===
netexec (1.4.0-0kali3) kali-dev; urgency=medium

  * Update patch subject
  * Fix missing dependencies

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 20 May 2025 11:22:35 +0200

netexec (1.4.0-0kali2) kali-dev; urgency=medium

  [ Arslan Masood ]
  * Add 658-and-681.patch to series
  * Add 658-and-681.patch
  * Update Declare-a-Kali-Linux-specific-version-info.patch
  * Fix "From" field in patch

  [ Daniel Ruiz de Alegría]
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 16 May 2025 08:57:58 +0200

netexec (1.4.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Update dependency name for nfsclient

  [ Sophie Brun ]
  * New upstream version 1.4.0
  * Update debian/copyright
  * Refresh patches
  * Update build-deps
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 May 2025 11:01:17 +0200

netexec (1.3.0-0kali2) kali-dev; urgency=medium

  [ Arszilla ]
  * Add python3-nfsclient dependency for the upcoming release
  * Update python3-impacket version for the upcoming release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 14 Oct 2024 16:13:35 +0200

netexec (1.3.0-0kali1) kali-dev; urgency=medium

  [ Arszilla ]
  * Switch to the main branch and its releases

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.3.0
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 14 Oct 2024 13:58:26 +0200

netexec (1.2.0+git20240804.739791e-0kali2) kali-dev; urgency=medium

  * Add a patch to declare Kali Linux specific version info
  * Update minimal required versions

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Aug 2024 15:17:35 +0200

netexec (1.2.0+git20240804.739791e-0kali1) kali-dev; urgency=medium

  * Run tests during the build
  * Update debian/watch to use main branch
  * New upstream version 1.2.0+git20240804.739791e
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Aug 2024 15:20:52 +0200

netexec (1.2.0+git20240529.7ece667-0kali2) kali-dev; urgency=medium

  * Update package description

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 30 May 2024 13:56:10 +0200

netexec (1.2.0+git20240529.7ece667-0kali1) kali-dev; urgency=medium

  * Remove failing test
  * Update debian/watch for version 1.2.0
  * New upstream version 1.2.0+git20240529.7ece667
  * Update dependency versions

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 30 May 2024 10:55:04 +0200

netexec (1.1.0+git20240427.e86e13f-0kali1) kali-experimental; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Reenable nxc alias
  * Update watch file
  * Revert changes outside upstream branch
  * New upstream version 1.1.0+git20240427.e86e13f

  [ Arszilla ]
  * Replace kali-packaging with kali in debian/watch
  * Remove update-COMMIT-variable.patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 09 May 2024 10:41:59 +0200

netexec (1.1.0+git20240424.c873246a1-0kali1) kali-experimental; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 26 Apr 2024 10:38:08 +0200

=== debian/control ===
Source: netexec
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Arslan Masood <contact@arszilla.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 bloodhound.py (>= 1.7.2),
 pybuild-plugin-pyproject,
 python3-aardwolf (>= 0.2.8),
 python3-aioconsole (>= 0.6.2),
 python3-aiosqlite (>= 0.19.0),
 python3-all,
 python3-argcomplete (>= 3.1.4),
 python3-asyauth (>= 0.0.20),
 python3-bs4 (<< 5),
 python3-bs4 (>= 4.11),
 python3-dateutil (>= 2.8.2),
 python3-dploot (>= 3.1.0),
 python3-dsinternals (>= 1.2.4),
 python3-impacket (>= 0.12.0+gite61ff5d-0kali1),
 python3-jwt,
 python3-libnmap (>= 0.7.3),
 python3-lsassy (>= 3.1.11),
 python3-masky (>= 0.2.0),
 python3-minikerberos (>= 0.4.1),
 python3-msgpack (>= 1.0.0),
 python3-msldap (>= 0.5.10),
 python3-neo4j (>= 5.0.0),
 python3-paramiko (>= 3.3.1),
 python3-poetry-core,
 python3-poetry-dynamic-versioning (>= 1.2.0),
 python3-pyasn1-modules (>= 0.3.0),
 python3-pylnk3 (>= 0.4.2),
 python3-pynfsclient (>= 1.0.2),
 python3-pypsrp (>= 0.8.1),
 python3-pypykatz (>= 0.6.8),
 python3-pytest,
 python3-pywerview (>= 0.3.3),
 python3-oscrypto,
 python3-requests (>= 2.27.1),
 python3-rich (>= 13.3.5),
 python3-setuptools,
 python3-sqlalchemy (>= 2.0.4),
 python3-termcolor (>= 2.4.0),
 python3-terminaltables (>= 3.1.0),
 python3-xmltodict (>= 0.13.0),
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/Pennyw0rth/NetExec
Vcs-Browser: https://gitlab.com/kalilinux/packages/netexec
Vcs-Git: https://gitlab.com/kalilinux/packages/netexec.git

Package: netexec
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libkrb5-dev,
#Replaces:
# crackmapexec,
Description: Network Execution Tool
 NetExec (AKA nxc) is a network service exploitation tool that helps automate 
 assessing the security of large networks.
 .
 NetExec is the continuation of CrackMapExec, which was maintained
 by mpgn over the years, but discontinued upon mpgn's retirement.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = netexec
export PYBUILD_TEST_ARGS=-k 'not test_add_host and not test_update_host'

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_install:
	# Remove hooks:
	rm -rf debian/netexec/usr/lib/python3*/dist-packages/nxc/.hooks

execute_after_dh_fixperms:
	for file in debian/netexec/usr/lib/python3/dist-packages/nxc/*.py debian/netexec/usr/lib/python3/dist-packages/nxc/*/*.py debian/netexec/usr/lib/python3/dist-packages/nxc/*/*/*.py debian/netexec/usr/lib/python3/dist-packages/nxc/data/nxc.conf; do \
		chmod 644 $$file; \
	done

=== debian/tests/control ===
Test-Command: netexec -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/netexec-$1\.tar\.gz/ \
  https://github.com/Pennyw0rth/NetExec/tags .*/v?(\d\S+)\.tar\.gz

## netexec 1.5.0

=== debian/changelog ===
netexec (1.5.0-0kali3) kali-dev; urgency=medium

  * Switch to terminaltables3

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 10 Feb 2026 20:23:40 +0700

netexec (1.5.0-0kali2) kali-dev; urgency=medium

  [ Arslan Masood ]
  * Add required packages to the package to ensure they are installed

  [ Daniel Ruiz de Alegría ]
  * Add all python libraries to dependencies

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 10 Feb 2026 12:33:35 +0100

netexec (1.5.0-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * New upstream version 1.5.0
  * Refresh patches
  * Update build-deps
  * Bump Standards-Version to 4.7.3
  * Remove obsolete source/lintian-overrides

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

 -- Sophie Brun <sophie@kali.org>  Wed, 14 Jan 2026 12:11:06 +0100

=== debian/control ===
Source: netexec
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Arslan Masood <contact@arszilla.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 bloodhound.py (>= 1.7.2),
 certipy-ad (>= 5.0.4-0kali2),
 pybuild-plugin-pyproject,
 python3-aardwolf (>= 0.2.8),
 python3-aioconsole (>= 0.6.2),
 python3-aiosqlite (>= 0.19.0),
 python3-all,
 python3-argcomplete (>= 3.1.4),
 python3-asyauth (>= 0.0.20),
 python3-bs4 (<< 5),
 python3-bs4 (>= 4.11),
 python3-dateutil (>= 2.8.2),
 python3-dploot (>= 3.1.0),
 python3-dsinternals (>= 1.2.4),
 python3-impacket (>= 0.13.0+git20251114.8925c2c),
 python3-jwt,
 python3-libnmap (>= 0.7.3),
 python3-lsassy (>= 3.1.11),
 python3-masky (>= 0.2.1),
 python3-minikerberos (>= 0.4.1),
 python3-msgpack (>= 1.0.0),
 python3-msldap (>= 0.5.10),
 python3-neo4j (>= 5.0.0),
 python3-paramiko (>= 3.3.1),
 python3-pefile,
 python3-poetry-core,
 python3-poetry-dynamic-versioning (>= 1.2.0),
 python3-pyasn1-modules (>= 0.3.0),
 python3-pylnk3 (>= 0.4.3),
 python3-pynfsclient (>= 1.0.5),
 python3-pypsrp (>= 0.8.1),
 python3-pypykatz (>= 0.6.8),
 python3-pytest,
 python3-pywerview (>= 0.3.3),
 python3-oscrypto,
 python3-requests (>= 2.27.1),
 python3-rich (>= 13.3.5),
 python3-setuptools,
 python3-sqlalchemy (>= 2.0.4),
 python3-termcolor (>= 2.4.0),
 python3-terminaltables3 (>= 4.0.0),
 python3-xmltodict (>= 0.13.0),
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.3
Homepage: https://github.com/Pennyw0rth/NetExec
Vcs-Browser: https://gitlab.com/kalilinux/packages/netexec
Vcs-Git: https://gitlab.com/kalilinux/packages/netexec.git

Package: netexec
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 bloodhound.py (>= 1.7.2),
 certipy-ad (>= 5.0.4-0kali2),
 python3-aardwolf (>= 0.2.8),
 python3-aioconsole (>= 0.6.2),
 python3-aiosqlite (>= 0.19.0),
 python3-argcomplete (>= 3.1.4),
 python3-asyauth (>= 0.0.20),
 python3-bs4 (<< 5),
 python3-bs4 (>= 4.11),
 python3-dateutil (>= 2.8.2),
 python3-dploot (>= 3.1.0),
 python3-dsinternals (>= 1.2.4),
 python3-impacket (>= 0.13.0+git20251114.8925c2c),
 python3-jwt,
 python3-libnmap (>= 0.7.3),
 python3-lsassy (>= 3.1.11),
 python3-masky (>= 0.2.1),
 python3-minikerberos (>= 0.4.1),
 python3-msgpack (>= 1.0.0),
 python3-msldap (>= 0.5.10),
 python3-neo4j (>= 5.0.0),
 python3-paramiko (>= 3.3.1),
 python3-pefile,
 python3-poetry-core,
 python3-poetry-dynamic-versioning (>= 1.2.0),
 python3-pyasn1-modules (>= 0.3.0),
 python3-pylnk3 (>= 0.4.3),
 python3-pynfsclient (>= 1.0.5),
 python3-pypsrp (>= 0.8.1),
 python3-pypykatz (>= 0.6.8),
 python3-pytest,
 python3-pywerview (>= 0.3.3),
 python3-oscrypto,
 python3-requests (>= 2.27.1),
 python3-rich (>= 13.3.5),
 python3-sqlalchemy (>= 2.0.4),
 python3-termcolor (>= 2.4.0),
 python3-terminaltables (>= 3.1.0),
 python3-xmltodict (>= 0.13.0),
 libkrb5-dev,
#Replaces:
# crackmapexec,
Description: Network Execution Tool
 NetExec (AKA nxc) is a network service exploitation tool that helps automate
 assessing the security of large networks.
 .
 NetExec is the continuation of CrackMapExec, which was maintained
 by mpgn over the years, but discontinued upon mpgn's retirement.

## netexec 1.5.1

=== debian/changelog ===
netexec (1.5.1-0kali2) kali-dev; urgency=medium

  * Fix bogus switch to terminaltables3

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 27 Feb 2026 17:56:33 +0700

netexec (1.5.1-0kali1) kali-dev; urgency=medium

  * Update d/watch to v5
  * Drop Priority
  * New upstream version 1.5.1

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 23 Feb 2026 22:43:55 +0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: netexec
 Section: misc
-Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Arslan Masood <contact@arszilla.com>
 Build-Depends:
@@ -97,7 +96,7 @@
  python3-rich (>= 13.3.5),
  python3-sqlalchemy (>= 2.0.4),
  python3-termcolor (>= 2.4.0),
- python3-terminaltables (>= 3.1.0),
+ python3-terminaltables3 (>= 4.0.0),
  python3-xmltodict (>= 0.13.0),
  libkrb5-dev,
 #Replaces:

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = netexec
export PYBUILD_TEST_ARGS = -k 'not test_add_host and not test_update_host'

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_install:
	# Remove hooks:
	rm -rf debian/netexec/usr/lib/python3*/dist-packages/nxc/.hooks

execute_after_dh_fixperms:
	find debian/netexec/usr/lib/python3/dist-packages/nxc/ -name '*.py' -type f -exec chmod 0644 {} +
	chmod 0644 debian/netexec/usr/lib/python3/dist-packages/nxc/data/nxc.conf

=== debian/watch ===
Version: 5

Template: Github
Dist: https://github.com/Pennyw0rth/NetExec
